///
/// Solid State by HTML5 UP
/// html5up.net | @ajlkn
/// Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
///
/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/* Table */

.table-wrapper {
    -webkit-overflow-scrolling: touch;
    overflow-x: auto;
}

table {
    margin: 0 0 _size(element-margin) 0;
    width: 100%;

    tbody {
        tr:nth-child(2n + 1) {
            background-color: _palette(border-bg);
        }
    }

    td, th {
        padding: 0 0.75em;
        border: solid 1px _palette(border);
        border-top: 0;
        border-bottom: 0;
        height: 100%;
    }

    th {
        font-size: 0.9em;
        font-weight: _font(weight-bold);
        text-align: left;
    }

    thead {
        border-bottom: solid 2px _palette(border);
    }

    tfoot {
        border-top: solid 2px _palette(border);
    }
}
